# Uses of Interface
org.codehaus.janino.util.signature.SignatureParser.ThrowsSignature

Packages that use SignatureParser.ThrowsSignature
Package
Description
org.codehaus.janino.util.signature
Application-independent helper classes.

## Uses of SignatureParser.ThrowsSignature in org.codehaus.janino.util.signature

Classes in org.codehaus.janino.util.signature that implement SignatureParser.ThrowsSignature
Modifier and Type
Class
Description
`static class`
`SignatureParser.ClassTypeSignature`
Representation of the "ClassTypeSignature" clause, e.g.
`static class`
`SignatureParser.TypeVariableSignature`
Representation of the "TypeVariableSignature" clause, e.g.
Fields in org.codehaus.janino.util.signature with type parameters of type SignatureParser.ThrowsSignature
Modifier and Type
Field
Description
`final List<SignatureParser.ThrowsSignature>`
SignatureParser.MethodTypeSignature.`thrownTypes`
The exceptions declared for the method.